From 36063f945b3eb63dc4dd395bef9a587d67a22573 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 30 Jul 2026 05:44:55 +0000
Subject: [PATCH] nghttp2: upgrade 1.69.0 -> 1.70.0

Source: ChangeLog

commit 85e300c79fb6dbcfa9c1013215c8710c1c2cd3d2
Merge: a399ab72 dedad37d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2026-07-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2026-07-29

    Merge pull request #2823 from nghttp2/nghttpx-reset-quic-upstream-addr-fd

    nghttpx: Reset quic upstream addr fd to the current path

commit dedad37defa9ab3c5ae818e526679c25623732e2
AuthorDate: 2026-07-29
CommitDate: 2026-07-29

    nghttpx: Reset quic upstream addr fd to the current path

commit a399ab720d0a141d4ddccc3b0240ab602bf59c95
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2026-07-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2026-07-29
commit 53587b5a703558571f32f17dce85549f805fd171
AuthorDate: 2026-07-29
CommitDate: 2026-07-29
commit 23f26ba7f4bd85c288901dd82590ad5a05df16ab
AuthorDate: 2026-07-29
CommitDate: 2026-07-29
commit 31e206ff9e1a8d51f4b0c1718658fd5ce84c5686
AuthorDate: 2026-07-29
CommitDate: 2026-07-29
commit 333e32ddeaace68ce81e3d393a82ac2ae131359d
Merge: dcc7566e 496c2f3b
AuthorDate: 2026-07-28
CommitDate: 2026-07-28
    Merge pull request #2822 from nghttp2/bump-llhttp
    Bump llhttp to v9.4.2
commit 496c2f3b8b3473ba5e5737ad8a484970299752c4
AuthorDate: 2026-07-28
CommitDate: 2026-07-28
    Bump llhttp to v9.4.2
commit dcc7566e49c6b89c0c2e8cf64021dbf73c54881e
Merge: e55172da 55992354
AuthorDate: 2026-07-28
CommitDate: 2026-07-28
    Merge pull request #2821 from nghttp2/bump-neverbleed
    Bump neverbleed
commit 5599235422dd0585e401f51a2cf89b67607aeb39
AuthorDate: 2026-07-28
CommitDate: 2026-07-28
    Bump neverbleed
commit e55172daf9a4756b1aeac2691223cf13d06cc44c
Merge: 91ad6fdb a9461d0c
AuthorDate: 2026-07-28
CommitDate: 2026-07-28
    Merge pull request #2820 from nghttp2/bump-ngtcp2
    Bump ngtcp2 and its dependencies
commit a9461d0c4b1f84ae1cdc1683b5cfe22c5f17273e
AuthorDate: 2026-07-28
CommitDate: 2026-07-28
    Bump ngtcp2 and its dependencies
commit 91ad6fdbb42061f6e45c9b67da7b1804958c5877
Merge: 772b19ea e33df631
AuthorDate: 2026-07-28
CommitDate: 2026-07-28
    Merge pull request #2819 from nghttp2/dependabot/go_modules/github.com/quic-go/quic-go-0.61.0
    build(deps): bump github.com/quic-go/quic-go from 0.60.0 to 0.61.0
commit e33df6313a0d05431e52a5187307cae357600d25
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2026-07-27
CommitDate: 2026-07-27
    build(deps): bump github.com/quic-go/quic-go from 0.60.0 to 0.61.0
    Bumps [github.com/quic-go/quic-go](https://github.com/quic-go/quic-go) from 0.60.0 to 0.61.0.
    - [Release notes](https://github.com/quic-go/quic-go/releases)
    - [Commits](https://github.com/quic-go/quic-go/compare/v0.60.0...v0.61.0)
    ---
    updated-dependencies:
    - dependency-name: github.com/quic-go/quic-go
      dependency-version: 0.61.0
      dependency-type: direct:production
      update-type: version-update:semver-minor

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 .../nghttp2/{nghttp2_1.69.0.bb => nghttp2_1.70.0.bb}            | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 rename meta/recipes-support/nghttp2/{nghttp2_1.69.0.bb => nghttp2_1.70.0.bb} (84%)

diff --git a/meta/recipes-support/nghttp2/nghttp2_1.69.0.bb b/meta/recipes-support/nghttp2/nghttp2_1.70.0.bb
similarity index 84%
rename from meta/recipes-support/nghttp2/nghttp2_1.69.0.bb
rename to meta/recipes-support/nghttp2/nghttp2_1.70.0.bb
index 8f3e1e4a97..1b09f91ce6 100644
--- a/meta/recipes-support/nghttp2/nghttp2_1.69.0.bb
+++ b/meta/recipes-support/nghttp2/nghttp2_1.70.0.bb
@@ -6,7 +6,7 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=764abdf30b2eadd37ce47dcbce0ea1ec"
 
 SRC_URI = "${GITHUB_BASE_URI}/download/v${PV}/nghttp2-${PV}.tar.xz"
 
-SRC_URI[sha256sum] = "1fb324b6ec2c56f6bde0658f4139ffd8209fa9e77ce98fd7a5f63af8d0e508ad"
+SRC_URI[sha256sum] = "e05cb1388eaca3830aded4ccf20044b6e1ac1a61411dcca11b0437c4285c8bc2"
 
 inherit cmake manpages python3native github-releases
 
-- 
2.47.1

